# HG changeset patch
# User Michael Spacefalcon <msokolov@ivan.Harhan.ORG>
# Date 1409454291 0
# Node ID 407c20f90f6a411d6eb6070a477ebdef97a5b036
# Parent  f5243fa2d2b917a641f89b6be018afe6d41679e0
gsm-fw/cfgmagic/processconf.sh: guard against building L1 for target != gtamodem

diff -r f5243fa2d2b9 -r 407c20f90f6a gsm-fw/cfgmagic/processconf.sh
--- a/gsm-fw/cfgmagic/processconf.sh	Sun Aug 31 02:18:44 2014 +0000
+++ b/gsm-fw/cfgmagic/processconf.sh	Sun Aug 31 03:04:51 2014 +0000
@@ -75,6 +75,13 @@
 	export_to_mk	CONFIG_INCLUDE_L1
 fi
 
+if [ "$CONFIG_INCLUDE_L1" = 1 -a "$TARGET" != gtamodem ]
+then
+	echo "Error: tpudrv has not been extended to target != gtamodem yet" \
+		1>&2
+	exit 1
+fi
+
 # The list of build components: we have some invariants that are always
 # included, and some others that are included depending on the configuration.